Bug 883863 - [abrt] libreoffice-core-3.5.7.2-6.fc17: SwMailMergeOutputPage::~SwMailMergeOutputPage killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.7.2-6.fc17: SwMailMergeOutputPage::~SwMailMergeOu...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:311ea811c3ae124faac394ff076...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-05 08:10 EST by eric@christensenplace.us
Modified: 2012-12-19 15:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 15:15:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (2.89 KB, text/plain)
2012-12-05 08:10 EST, eric@christensenplace.us
no flags Details
File: environ (1.92 KB, text/plain)
2012-12-05 08:10 EST, eric@christensenplace.us
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-05 08:10 EST, eric@christensenplace.us
no flags Details
File: backtrace (48.10 KB, text/plain)
2012-12-05 08:10 EST, eric@christensenplace.us
no flags Details
File: cgroup (135 bytes, text/plain)
2012-12-05 08:10 EST, eric@christensenplace.us
no flags Details
File: smolt_data (3.23 KB, text/plain)
2012-12-05 08:10 EST, eric@christensenplace.us
no flags Details
File: executable (42 bytes, text/plain)
2012-12-05 08:10 EST, eric@christensenplace.us
no flags Details
File: maps (112.14 KB, text/plain)
2012-12-05 08:10 EST, eric@christensenplace.us
no flags Details
File: dso_list (24.66 KB, text/plain)
2012-12-05 08:10 EST, eric@christensenplace.us
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2012-12-05 08:10 EST, eric@christensenplace.us
no flags Details
File: var_log_messages (348 bytes, text/plain)
2012-12-05 08:10 EST, eric@christensenplace.us
no flags Details
File: open_fds (2.53 KB, text/plain)
2012-12-05 08:10 EST, eric@christensenplace.us
no flags Details

  None (edit)
Description eric@christensenplace.us 2012-12-05 08:10:12 EST
Version-Release number of selected component:
libreoffice-core-3.5.7.2-6.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc --splash-pipe=6
crash_function: SfxItemPool::GetFrozenIdRanges
kernel:         3.6.8-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 SfxItemPool::GetFrozenIdRanges at /usr/src/debug/libreoffice-3.5.7.2/svl/source/items/itempool.cxx:928
: #1 SfxItemSet::~SfxItemSet at /usr/src/debug/libreoffice-3.5.7.2/svl/source/items/itemset.cxx:351
: #3 SfxPrinter::~SfxPrinter at /usr/src/debug/libreoffice-3.5.7.2/sfx2/source/view/printer.cxx:197
: #5 SwMailMergeOutputPage::~SwMailMergeOutputPage at /usr/src/debug/libreoffice-3.5.7.2/sw/source/ui/dbui/mmoutputpage.cxx:389
: #7 svt::OWizardMachine::~OWizardMachine at /usr/src/debug/libreoffice-3.5.7.2/svtools/source/dialogs/wizardmachine.cxx:231
: #8 SwMailMergeWizard::~SwMailMergeWizard at /usr/src/debug/libreoffice-3.5.7.2/sw/source/ui/dbui/mailmergewizard.cxx:119
: #9 ~LazyDeletor at /usr/src/debug/libreoffice-3.5.7.2/solver/unxlngx6.pro/inc/vcl/lazydelete.hxx:171
: #10 vcl::LazyDeletor<Window>::~LazyDeletor at /usr/src/debug/libreoffice-3.5.7.2/solver/unxlngx6.pro/inc/vcl/lazydelete.hxx:173
: #11 vcl::LazyDelete::flush at /usr/src/debug/libreoffice-3.5.7.2/vcl/source/helper/lazydelete.cxx:63
: #12 ImplYield at /usr/src/debug/libreoffice-3.5.7.2/vcl/source/app/svapp.cxx:463
Comment 1 eric@christensenplace.us 2012-12-05 08:10:17 EST
Created attachment 658171 [details]
File: core_backtrace
Comment 2 eric@christensenplace.us 2012-12-05 08:10:20 EST
Created attachment 658172 [details]
File: environ
Comment 3 eric@christensenplace.us 2012-12-05 08:10:22 EST
Created attachment 658173 [details]
File: limits
Comment 4 eric@christensenplace.us 2012-12-05 08:10:30 EST
Created attachment 658174 [details]
File: backtrace
Comment 5 eric@christensenplace.us 2012-12-05 08:10:31 EST
Created attachment 658175 [details]
File: cgroup
Comment 6 eric@christensenplace.us 2012-12-05 08:10:33 EST
Created attachment 658176 [details]
File: smolt_data
Comment 7 eric@christensenplace.us 2012-12-05 08:10:36 EST
Created attachment 658177 [details]
File: executable
Comment 8 eric@christensenplace.us 2012-12-05 08:10:40 EST
Created attachment 658178 [details]
File: maps
Comment 9 eric@christensenplace.us 2012-12-05 08:10:42 EST
Created attachment 658179 [details]
File: dso_list
Comment 10 eric@christensenplace.us 2012-12-05 08:10:44 EST
Created attachment 658180 [details]
File: proc_pid_status
Comment 11 eric@christensenplace.us 2012-12-05 08:10:47 EST
Created attachment 658181 [details]
File: var_log_messages
Comment 12 eric@christensenplace.us 2012-12-05 08:10:49 EST
Created attachment 658182 [details]
File: open_fds
Comment 13 Caolan McNamara 2012-12-06 11:34:36 EST
Clearly a crash due to the mail merge wizard dialogs. Are you able to reproduce this, i.e. was it cancelling the wizard are some particular step ? Or after a successful mail merge ?
Comment 14 eric@christensenplace.us 2012-12-07 08:41:10 EST
(In reply to comment #13)
I don't quite remember where this crash occurred during the mail merge process.  Perhaps I was trying to cancel out or something?  I was able to complete my mail merge without any problems.  I'll try to reproduce the problem and pay closer attention to what made it go boom.
Comment 15 Caolan McNamara 2012-12-19 15:15:32 EST
can't reproduce it :-(

Note You need to log in before you can comment on or make changes to this bug.